#include <iostream>
#include <vector>
#include <sstream>

using namespace std;

class Buss;   // see thendab, et klassi Buss definitsioon on kuskil allpool
                    // nn. forward declaration

class S6idukaart{
    bool isikustatud;
    bool valideeritud;
    bool rahaOn;
public:
    S6idukaart(bool i, bool r)
    {
        isikustatud = i; rahaOn=r;
        valideeritud = false;
    }
    bool getValideeritud() { return valideeritud; }
    void setValideeritud(bool x) { valideeritud = x; }
    // muud geterid
    // toString()
};
class Reisija
{
    string nimi;
    int vanus;
    string elukoht;
    S6idukaart *kaart;   // NULL, kui ei oma sidukaarti
public:
    Reisija(...);
    bool minePeale(Buss*);  // Viit Buss-ile on lubatud tnu forward-deklaratsioonile
                                         // true - sai peale, false - ei saanud vi ei tahtnud
    bool equals(Reisija*);
    string toString();
    // siin peaksid olema getterid
};

class Buss
{
    int kohti;
    vector<Reisija*> reisijad;
public:
    Buss( int k = 10 );     // default argument
                                    // nd lubatud:   Buss vaike, suur(40);
    bool saabusReisija(Reisija*);  // true - sai peale, false - ei saanud/ei tahtnud
    string tuliMUPO();  // tagastab siduiguse kontrolli tulemused tekstina
    string toString();
};

int main()
{
    cout << "Bussisit" << endl;

    return 0;
}
